/* #region scrollbar */
body::-webkit-scrollbar {
    width: 15px;
}

body::-webkit-scrollbar-track {
    background: var(--clr-black);
}

body::-webkit-scrollbar-thumb {
    background: var(--clr-gradient1);
    border-radius: 15px;
    border: 2px solid var(--clr-black);
}

/* #endregion */

/* #region Global */
* {
    border: 0;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;

}

:root {
    --clr-black: #000000;
    --clr-gold: rgb(255, 174, 0);
    --clr-blood: rgb(255, 0, 0);
    --clr-withe: #FFFFFF;
    --clr-transGold: rgba(245, 175, 70, 0.2);
    --clr-gradient1: linear-gradient(45deg, #d60f0f 10%, #ec830a 90%);
    --clr-black-tranparent: #00000050;

}

@font-face {
    font-family: 'doomMenu';
    src: url(../font/doomed.ttf);
}

@font-face {
    font-family: "doomFont2";
    src: url(../font/doomFont2.ttf);
}


html {
    scroll-behavior: smooth;
}

p {
    font-family: "Oswald", serif;
    font-optical-sizing: auto;
    font-style: normal;
}

/* #endregion */

/* #region nav */

nav {
    background-color: var(--clr-black);
    height: 100px;
    width: 100%;
    position: fixed;
    top: 0;
    display: flex;
    justify-content: center;
    z-index: 9;

    & img {
        height: 500px;
        transition: .9s;
        margin-top: -100px;
    }

}


/* #endregion */


/* #region inicio */
main {
    height: 100vh;
    width: 100%;

    & video {
        position: absolute;
        z-index: -1;
        width: 100%;
        top: 100px;
    }
}

#ContainerInicio {
    background: var(--clr-black-tranparent);
    z-index: 1;
    padding: 50px;
    height: 110dvh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

    & ul {
        & a {

            color: var(--clr-blood);
            width: 50%;
            height: 50%;
            text-decoration: none;
            font-size: 50px;
            text-align: center;
            list-style: none;
            font-family: 'doomMenu';

        }

        & li {
            padding: 20px;

        }
    }

    & a {
        &:hover {
            color: var(--clr-gold);
            text-decoration: 2px solid var(--clr-black);

        }
    }
}

/* #endregion */

/* #region Slides */

.slides {
    background-image: url("../img/wallpaperDoom/wallpaperDoom1.jpg");
    background-size: cover;
    height: 100dvh;
    transition: .2s;

    & div {
        margin-top: -50px;
        height: 80%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        text-shadow: 0 0 10px var(--clr-withe);

        /* From https://css.glass */
        & .textoJogos {
            width: 100%;
            background: var(--clr-black-tranparent);
            backdrop-filter: blur(5px);
            -webkit-backdrop-filter: blur(5px);

            & h1 {
                font-family: 'doomMenu';
                font-size: 60px;
                color: var(--clr-blood);
            }

            & p {
                width: 40%;
                font-size: 28px;
                text-align: center;
                color: var(--clr-withe);
                filter: drop-shadow(0 0 20px var(--clr-black));

            }

            & #btnFalar {
                width: 200px;
                height: 45px;
                font-family: doomFont2;
                font-size: 40px;
                background: none;
                color: var(--clr-gold);
                margin: 20px;
                text-align: center;
                padding: 5px;
                cursor: pointer;
                transition: .3s;
                text-shadow: 0px 3px 11px var(--clr-blood);

                &:hover {
                    color: var(--clr-blood);
                    text-shadow: 0px 3px 11px var(--clr-gold);
                    transition: .3s;
                    transform: scale(1.05);
                }
            }
        }
    }

    & ul {
        width: 100%;
        display: flex;
        justify-content: space-evenly;
        align-items: last baseline;
        height: 150px;

        & li {
            cursor: pointer;
            filter: grayscale(1);
            transition: .2s;

            &:hover {
                filter: grayscale(0);
                transition: .2s;
                transform: scale(1.2);

            }

            & img {
                height: 250px;
            }
        }
    }
}

#btnFalar2 {
    width: 200px;
    background: var(--clr-gradient1);
    height: 45px;
    font-family: doomFont2;
    font-size: 40px;
    color: var(--clr-black);
    margin: 20px;
    border-radius: 10px;
    text-align: center;
    padding: 5px;
    cursor: pointer;
    transition: .3s;
    text-shadow: 0px 3px 11px var(--clr-blood);

    &:hover {
        color: var(--clr-blood);
        text-shadow: 0px 3px 11px var(--clr-gold);
        transition: .3s;
        transform: scale(1.05);
    }
}

/* #endregion */

/*#region história*/
#containerDaHistoria {
    display: flex;
    height: 100dvh;

    background-color: var(--clr-black);
    color: var(--clr-gold);
    padding: 55px;
    text-align: center;
    gap: 200px;
    align-items: center;
    & .text1 {

        & h1 {
            margin-top: -100px;
            text-align: center;
            color: var(--clr-withe);
            text-shadow: 0px 0px 20px var(--clr-blood);
            font-family: "doomFont2";
            text-indent: 10px;
            letter-spacing: 6px;
            font-size: 55px;
        }
        
        & p {
            font-size: 22px;
            text-align: justify;
        }
    }
    
}

.fotoDesenvoldores {
    margin-top: -200px;
    height: 450px;
    width: 650px;
    border-radius: 15px;
    margin-right: 30px;
}

/*#endregion*/

/*#region doom*/

#DOOM>.dosbox-container {
    width: 640px;
    height: 400px;
    margin: 100px auto;
    border: 5px solid var(--clr-black);
}

#DOOM>.dosbox-container>.dosbox-overlay {
    background: url("https://thedoggybrad.github.io/doom_on_js-dos/DOOM.png");
}

#DOOM>.dosbox-container>.dosbox-overlay>.dosbox-start {
    border-radius: 17px 17px 17px 17px;
    -moz-border-radius: 17px 17px 17px 17px;
    -webkit-border-radius: 17px 17px 17px 17px;
    border: 0px solid var(--clr-black);
    background-color: var(--clr-black-tranparent);
    padding: 10px;
    text-align: center;
    /* vertical-align: middle; */
    width: 10em;
    margin: 0 auto;
    color: var(--clr-withe);
    font-family: doomFont2;
    font-size: 40px;
    text-decoration: none;

}

a:link {
    color: var(--clr-withe)
}

.doomGame {
    /* width: 100%; */
    height: 950px;
    padding-top: 100px;
    background-image: url(../img/doomBackGame.jpg);

    & ul {
        backdrop-filter: blur(5px);
        background: var(--clr-black-tranparent);
        width: 650px;
        margin: -50px auto;
        padding: 5px;

        & li {
            font-family: doomMenu;
            font-size: 25px;
            color: var(--clr-gold);
            text-align: center;


        }
    }
}

/* #endregion */

/* #region footer */

.footerContainer {
    width: 100%;
    height: 200px;
    background: var(--clr-black);
    display: flex;
    justify-content: space-around;
    align-items: center;
    color: orange;


    & li {
        & img {
            width: 120px;
        }

        &:hover {
            opacity: 1;
            filter: drop-shadow (0 0 10px var(--clr-blood));
            transform: scale(1.2);
            transition: .2s;

        }

        & a {
            text-decoration: none;
            color: var(--clr-gold);

            & p {
                padding: 10px;
                text-align: center;
            }
        }
    }
}

/*#endregion*/






/* #music {
  height: 200px;
    width: 100px; 
    position: fixed;
    right: 50px;
    bottom: 50px;
    justify-content: space-between;
    align-items: center;
    display: flex;

}  */

/* #meuAudio {
    width: 100px;
    height: 100px;
    background-color: var(--clr-gold);
    border: 2px solid var(--clr-blood);
    border-radius: 10px;

    & button {
        color: #FFFFFF;
        font-size: 300px;
        background-color: #ff0000;
        width: 500px;
        height: 100px;
    }
} */
/* 
#meuAudio::-webkit-media-controls {
    display: none;
}

#meuAudio::-webkit-media-controls-panel {
    background-color: var(--clr-gold);
    border-radius: 10px;

}

#meuAudio::-webkit-media-controls-play-button {
    background-color: var(--clr-blood);
    border-radius: 5px;
    display: block;
}

#meuAudio::-webkit-media-controls-volume-slider {
    background: var(--clr-blood);
}

 #meuAudio::-webkit-media-controls-timeline {
    display: none;
     */
/* }  */